// $Id$
/**
* Copyright (C) 2015 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.navigation.navigator;

/**
 * @author cmathew
 * @date 19 Jun 2015
 *
 */
public interface TaxonNavigatorLabels {

    public static final String CHANGE_ACCEPTED_TAXON_TO_SYNONYM_LABEL = "Change Accepted Taxon to Synonym";
    public static final String MOVE_TAXON_LABEL = "Move Taxon";
    public static final String MOVE_FACTUAL_DATA_LABEL = "Move Factual Data";
    public static final String DELETE_TAXON_NODE_LABEL = "Delete Taxon Node";

    public static final String NO_TAXON_SELECTION_MESSAGE = "No taxon tree node selected for operation.";
    public static final String SINGLE_TAXON_SELECTION_MESSAGE = "The chosen operation is available only for a single taxon.";
    public static final String SOURCE_TAXON_HAS_CHILDREN_MESSAGE = "The chosen taxon must not have any childen. You need to move all childen to " +
            "another taxon node in the TaxonNavigator before attempting to turn the accepted " +
            "taxon into a synonym.";
    public static final String RELATED_EDITOR_NOT_CLOSED_MESSAGE = "Could not close related taxon name editor. " +
            "Please close it manually and try again.";
    public static final String SELECTED_OBJECT_NOT_TREE_NODE_MESSAGE = "Selected object is not a taxon tree node";
    public static final String UNSAVED_CHANGES_MESSAGE = "There are unsaved changes in the source taxon. Please save first.";



}
